ru.bitel.common

## Class ByteBufferUtils

- java.lang.Object
- - ru.bitel.common.ByteBufferUtils

-     public class ByteBufferUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static short` | `getUnsignedByte(java.nio.ByteBuffer bb)`
    `static short` | `getUnsignedByte(java.nio.ByteBuffer bb, int position)`
    `static long` | `getUnsignedInt(java.nio.ByteBuffer bb)`
    `static long` | `getUnsignedInt(java.nio.ByteBuffer bb, int position)`
    `static int` | `getUnsignedShort(java.nio.ByteBuffer bb)`
    `static int` | `getUnsignedShort(java.nio.ByteBuffer bb, int position)`
    `static void` | `putUnsignedByte(java.nio.ByteBuffer bb, int value)`
    `static void` | `putUnsignedByte(java.nio.ByteBuffer bb, int position, int value)`
    `static void` | `putUnsignedInt(java.nio.ByteBuffer bb, int position, long value)`
    `static void` | `putUnsignedInt(java.nio.ByteBuffer bb, long value)`
    `static void` | `putUnsignedShort(java.nio.ByteBuffer bb, int value)`
    `static void` | `putUnsignedShort(java.nio.ByteBuffer bb, int position, int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteBufferUtils

          public ByteBufferUtils()

  - ### Method Detail

    - #### getUnsignedByte

          public static short getUnsignedByte(java.nio.ByteBuffer bb)

    - #### putUnsignedByte

          public static void putUnsignedByte(java.nio.ByteBuffer bb,
                                             int value)

    - #### getUnsignedByte

          public static short getUnsignedByte(java.nio.ByteBuffer bb,
                                              int position)

    - #### putUnsignedByte

          public static void putUnsignedByte(java.nio.ByteBuffer bb,
                                             int position,
                                             int value)

    - #### getUnsignedShort

          public static int getUnsignedShort(java.nio.ByteBuffer bb)

    - #### putUnsignedShort

          public static void putUnsignedShort(java.nio.ByteBuffer bb,
                                              int value)

    - #### getUnsignedShort

          public static int getUnsignedShort(java.nio.ByteBuffer bb,
                                             int position)

    - #### putUnsignedShort

          public static void putUnsignedShort(java.nio.ByteBuffer bb,
                                              int position,
                                              int value)

    - #### getUnsignedInt

          public static long getUnsignedInt(java.nio.ByteBuffer bb)

    - #### putUnsignedInt

          public static void putUnsignedInt(java.nio.ByteBuffer bb,
                                            long value)

    - #### getUnsignedInt

          public static long getUnsignedInt(java.nio.ByteBuffer bb,
                                            int position)

    - #### putUnsignedInt

          public static void putUnsignedInt(java.nio.ByteBuffer bb,
                                            int position,
                                            long value)